# class PartActivateEvent | This event is sent by the part manager when the active part changes. More...
Full name | `KParts::PartActivateEvent`
Definition | `#include <event.h>`
Inherits | KParts::Event [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- PartActivateEvent ( bool activated, Part *part, QWidget *widget )
- bool activated () const
- Part * part () const
- QWidget * widget () const

#### Public Static Methods

- static bool test ( const QEvent *event )

## Detailed Description

This event is sent by the part manager when the active part changes. Each time the active part changes, it will send first a PartActivateEvent with activated=false, part=oldActivePart, widget=oldActiveWidget and then another PartActivateEvent with activated=true, part=newPart, widget=newWidget.

See also: partActivateEvent

PartActivateEvent ( bool activated, Part *part, QWidget *widget ) | ### PartActivateEvent

bool activated () | ### activated

[const]

Part * part () | ### part

[const]

QWidget * widget () | ### widget

[const]

bool test ( const QEvent *event ) | ### test

[static]

Reimplemented from Event.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:48 2001, using kdoc 2.0a53.